export const fileUploaderStructureAdapter = () => {
  const adaptedFileStructure = [];
  const addFile = ({
    file,
    path
  }) => {
    adaptedFileStructure.push(Object.assign(file, {
      completed: !!file?.completed,
      path: path.replace(/^\//g, '')
    }));
  };
  return {
    adaptedFileStructure,
    addFile
  };
};